Bug 10178 - zoneinfo updates for Baltic timezones
Summary: zoneinfo updates for Baltic timezones
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: glibc   
(Show other bugs)
Version: 6.1
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact:
URL:
Whiteboard:
Keywords: FutureFeature
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-03-15 09:24 UTC by Andrei Ivanov
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-05-22 14:52:59 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Andrei Ivanov 2000-03-15 09:24:11 UTC
This year Latvia and Estonia will not switch to Daylight Savings Time,
so, any one using Europe/Riga or Europe/Tallinn timezone have to modify
timezone files on his RH6.x box.

As stated in /usr/doc/glibc-2.1.[12]/README.timezone files, timezone
descriptors for RH60 (intel) were generated from tzdata1999c package,
and RH61 (sparc) versions are based on tzdata1999e. Both versions of
Olson's package did not contain newest information for Baltic countries,
so, to stay in sync with wall clock later this spring (summer, and so on)
the following steps are necessary:

1. Download tzdata2000d.tar.gz file from ftp://elsie.nci.nih.gov/pub/
   and save it in /var/tmp
2. As super-user, derive fresh 'europe' file from the archive:
      # cd /usr/share/zoneinfo
      # tar xzf /var/tmp/tzdata2000d.tar.gz europe
3. Compile and install new timezone files:
      # For whose in Latvia:
      # zic -l Europe/Riga europe
   or
      # For whose in Estonia
      # zic -l Europe/Tallinn europe
4. Re-boot the system.

Comment 1 Cristian Gafton 2000-05-22 14:52:59 UTC
assign to jakub

Comment 2 Jakub Jelinek 2000-09-04 14:19:33 UTC
glibc-2.1.92 uses tzdata2000f

Comment 3 Andrei Ivanov 2001-03-27 21:32:20 UTC
This year Latvian legislators decided to switch to Daylight Saving Time again,
and, as a consequence, zoneinfo file (Europe/Riga) should be upgraded again.
All instructions above are still applicable, the only difference is the tzdata
file's version - now it's tzdata2001a. All this applies to RHL 6.2 too.

Comment 4 Jakub Jelinek 2001-03-27 21:42:35 UTC
glibc-2.2.2-7 and above uses tzdata2001a.

Comment 5 Andrei Ivanov 2001-03-27 21:50:33 UTC
That's great.
And latest version for RHL 6.2, available on updates.redhat.com,
is glib-2.1.3-22.

Comment 6 Jakub Jelinek 2001-03-27 21:54:16 UTC
Yeah, but we are really not going to issue a 6.x glibc errata just
to update timezone information.


Note You need to log in before you can comment on or make changes to this bug.